-- RiksTradeStacker
if (RTS == nil) then RTS = {} end;

-- ************************************************************************
local log = RTS.log

-- ************************************************************************
function RTS.CreateMenu()
	local LAM = LibStub("LibAddonMenu-2.0")
  local panel = { type = "panel",
                  name = "Riks Tools",
                  displayName = "Riks Tools",
                  author = "Riksis",
                  version = "0.4.2",
                  registerForRefresh = true }
  
  LAM:RegisterAddonPanel("RiksToolsMenu", panel);
  
  local optionsTable = {
    [1] = { type = "header", name = "Trade Stacker", width = "full" },
    [2] = { type = "checkbox", 
            name = "Show chat output", 
            tooltip = "Print information to chat window whenever something gets stacked", 
            getFunc = function() return RTS.vars.showChatMessage end,
            setFunc = function(val) RTS.ChatLogSwitch(val) end,
            width = "full" },
    [3] = { type = "checkbox",
            name = "Auto stack in bank", 
            tooltip = "Automatically stack items in bank. This does *not* transfer items between backpack and bank",
            getFunc = function() return RTS.vars.stackInBank end,
            setFunc = function(val) RTS.SetStackInBank(val) end,
            width = "full" },
    [4] = { type = "checkbox",
            name = "Auto stack in backpack", 
            tooltip = "Automatically stack items in backpack upon trade or mail attachment",
            getFunc = function() return RTS.vars.stackInBackpack end,
            setFunc = function(val) RTS.SetStackInBackpack(val) end,
            width = "full" },
    [5] = { type = "button",
            name = "Stack inventory now", 
            tooltip = "Run Trade Stacker on your inventory",
            func = RTS.AttemptStackingBag,
            width = "half" },
  }
  
  LAM:RegisterOptionControls("RiksToolsMenu", optionsTable)
  
end
