-- RiksTradeStacker_lib
if (RTS == nil) then RTS = {} end;

-- ************************************************************************
function RTS.varsDefault()
  RTS.vars = 
  {
    showChatMessage = true,
    stackInBackpack = true,
    stackInBank = true
  }
end

-- ************************************************************************
function RTS.log(...)
  if (RTS.vars.showChatMessage == true) then
    CHAT_SYSTEM:AddMessage(...)
  end
end
local log = RTS.log

-- ************************************************************************
function RTS.ChatLogSwitch(arg)
  RTS.vars.showChatMessage = arg
  if (arg == true) then
    log(RTS.addonName .. " will now output status messages")
  else
    CHAT_SYSTEM:AddMessage(RTS.addonName .. " will now be silent")
  end
end

-- ************************************************************************
function RTS.SetStackInBackpack(arg)
  RTS.vars.stackInBackpack = arg
  if (arg == true) then
    log(RTS.addonName .. " will now auto-stack items in backpack")
  else
    CHAT_SYSTEM:AddMessage(RTS.addonName .. " will now not touch the backpack any more")
  end
end

-- ************************************************************************
function RTS.SetStackInBank(arg)
  RTS.vars.stackInBank = arg
  if (arg == true) then
    log(RTS.addonName .. " will now auto-stack items in bank")
  else
    CHAT_SYSTEM:AddMessage(RTS.addonName .. " will now not touch the bank any more")
  end
end

-- ************************************************************************
function RTS.CreateSlashCommands()
	SLASH_COMMANDS["/riks_stack"] = RTS.AttemptStackingBag
  SLASH_COMMANDS["/riks_stack_log"] = 
    function(arg) 
      arg = arg:upper()
      if (arg == "ON") then
        RTS.ChatLogSwitch(true);
      else
        RTS.ChatLogSwitch(false);
      end
    end
  SLASH_COMMANDS["/riks_stack_bag"] = 
    function(arg) 
      arg = arg:upper()
      if (arg == "ON") then
        RTS.SetStackInBackpack(true);
      else
        RTS.SetStackInBackpack(false);
      end
    end
  SLASH_COMMANDS["/riks_stack_bank"] = 
    function(arg) 
      arg = arg:upper()
      if (arg == "ON") then
        RTS.SetStackInBank(true);
      else
        RTS.SetStackInBank(false);
      end
    end
end